[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TFPUException

Type describing Floating Point processor exceptions.

## Declaration

Source position: mathh.inc line 54

`type TFPUException = (`
`exInvalidOp,` |  | Invalid operation error
`exDenormalized,` |  |
`exZeroDivide,` |  | Division by zero error.
`exOverflow,` |  | Float overflow error
`exUnderflow,` |  | Float underflow error
`exPrecision` |  | Precision error
`);`

## Description

TFPUException describes what floating point errors raise exceptions. It has been moved here from the Math unit.

## See also

TFPUExceptionMask |  | Set of TFPUException